/**
 * A built-in object that has properties and methods for mathematical constants and functions.
 * @returns {Math} 
 */
var Math = {
}
/**
 * @returns {String} 
 * @static
 */
Math.toSource = function() {};

/**
 * The natural logarithm of 2, approximately 0.693.
 * @returns {Number} 
 * @static
 */
Math.LN2 = new Number();

/**
 * The base of natural logarithms, e, approximately 2.718.
 * @returns {Number} 
 * @static
 */
Math.E = new Number();

/**
 * Returns the arctangent (in radians) of a number.
 * @syntax Math.atan(x)
 * @param {Number} x A number.
 * @returns {Number} 
 * @static
 */
Math.atan = function(x) {};

/**
 * Returns base to the exponent power, that is, baseexponent.
 * @syntax Math.pow(base,exponent)
 * @param {Number} base The base number.
 * @param {Number} exponent The exponent to which to raise base.
 * @returns {Number} 
 * @static
 */
Math.pow = function(base, exponent) {};

/**
 * Returns the arcsine (in radians) of a number.
 * @syntax Math.asin(x)
 * @param {Number} x A number.
 * @returns {Number} 
 * @static
 */
Math.asin = function(x) {};

/**
 * Returns the cosine of a number.
 * @syntax Math.cos(x)
 * @param {Number} x A number given in unit of radians.
 * @returns {Number} 
 * @static
 */
Math.cos = function(x) {};

/**
 * Returns the smallest integer greater than or equal to a number.
 * @syntax Math.ceil(x)
 * @param {Number} x A number.
 * @returns {Number} 
 * @static
 */
Math.ceil = function(x) {};

/**
 * Returns the value of a number rounded to the nearest integer.
 * @syntax Math.round(x)
 * @param {Number} x A number.
 * @returns {Number} 
 * @static
 */
Math.round = function(x) {};

/**
 * Returns the arctangent of the quotient of its arguments.
 * @syntax Math.atan2(y, x)
 * @param {Number} y Numbers.
 * @param {Number} x Numbers.
 * @returns {Number} 
 * @static
 */
Math.atan2 = function(y,  x) {};

/**
 * Returns the absolute value of a number.
 * @syntax var abs = Math.abs(x);
 * @param {Number} x A number.
 * @returns {Number} 
 * @static
 */
Math.abs = function(x) {};

/**
 * The square root of 1/2; equivalently, 1 over the square root of 2, approximately 0.707.
 * @returns {Number} 
 * @static
 */
Math.SQRT1_2 = new Number();

/**
 * Returns the arccosine (in radians) of a number.
 * @syntax Math.acos(x)
 * @param {Number} x A number.
 * @returns {Number} 
 * @static
 */
Math.acos = function(x) {};

/**
 * Returns the smallest of zero or more numbers.
 * @syntax Math.min([value1[,value2[, ...]]])
 * @param {Number} value1,value2,... Numbers.
 * @returns {Number} 
 * @static
 */
Math.min = function() {};

/**
 * The natural logarithm of 10, approximately 2.302.
 * @returns {Number} 
 * @static
 */
Math.LN10 = new Number();

/**
 * Returns the largest of zero or more numbers.
 * @syntax Math.max([value1[,value2[, ...]]])
 * @param {Number} value1,value2,... Numbers.
 * @returns {Number} 
 * @static
 */
Math.max = function() {};

/**
 * Returns the square root of a number.
 * @syntax Math.sqrt(x)
 * @param {Number} x A number.
 * @returns {Number} 
 * @static
 */
Math.sqrt = function(x) {};

/**
 * Returns a floating-point, pseudo-random number in the range [0, 1) that is, from 0 (inclusive) up to but not including 1 (exclusive), which you can then scale to your desired range. The random number generator is seeded from the current time, as in Java.
 * @syntax Math.random()
 * @returns {Number} 
 * @static
 */
Math.random = function() {};

/**
 * The square root of 2, approximately 1.414.
 * @returns {Number} 
 * @static
 */
Math.SQRT2 = new Number();

/**
 * Returns the natural logarithm (base E) of a number.
 * @syntax Math.log(x)
 * @param {Number} x A number.
 * @returns {Number} 
 * @static
 */
Math.log = function(x) {};

/**
 * Returns Ex, where x is the argument, and E is Euler's constant, the base of the natural logarithms.
 * @syntax Math.exp(x)
 * @param {Number} x A number.
 * @returns {Number} 
 * @static
 */
Math.exp = function(x) {};

/**
 * Returns the largest integer less than or equal to a number.
 * @syntax Math.floor(x)
 * @param {Number} x A number.
 * @returns {Number} 
 * @static
 */
Math.floor = function(x) {};

/**
 * The ratio of the circumference of a circle to its diameter, approximately 3.14159.
 * @returns {Number} 
 * @static
 */
Math.PI = new Number();

/**
 * Returns the sine of a number.
 * @syntax Math.sin(x)
 * @param {Number} x A number (given in radians).
 * @returns {Number} 
 * @static
 */
Math.sin = function(x) {};

/**
 * Returns the tangent of a number.
 * @syntax Math.tan(x)
 * @param {Number} x A number representing an angle in radians.
 * @returns {Number} 
 * @static
 */
Math.tan = function(x) {};

/**
 * The base 10 logarithm of E (approximately 0.434).
 * @returns {Number} 
 * @static
 */
Math.LOG10E = new Number();

/**
 * The base 2 logarithm of E (approximately 1.442).
 * @returns {Number} 
 * @static
 */
Math.LOG2E = new Number();

/**
 * Represents the Math prototype object.
 * @syntax Math.prototype
 * @static
 */
Math.prototype;

